Grand Master Tronix:
Palus Knights are the elite knights of the Dark Elves. Their excellent swordsmanship is based on swift, precise attacks and effective defense, and it cannot be compared to other races that depend on mere strength or coarser skills.
The most talented of Palus Knights are selected for the highest order, either as a Shillien Knight or a Bladedancer, with almost unearly skill in swordsmanship.
To become a Palus Knight, you must pass the test and bring back the gaze of the abyss as proof.
Ask about the Gaze of the Abyss
Return